# List users Retrieves a list of users wrapped in the element "results". Endpoint: GET /v3/users Version: 2026-01-08 Security: ZephrHmacHttp ## Query parameters: - `identifiers.email_address` (string, required) Email address of the user to search for. Example: "example@example.com" - `identifiers.username` (string, required) Username of the user to search for. Example: "username" - `foreign_key.xxx` (string, required) Foreign key of the user to search for. The foreign system is parsed as the remainder of the parameter key name following 'foreign_id.' Example: "123abc" - `search` (string, required) Performs a general search for the specified value across multiple fields, including attributes. Example: "abc" - `search_by_attributes` (array) Several attribute filters can be specified to search for users with particular attributes. It needs to be Base64 and URL encoded. ## Response 200 fields (application/json): - `results` (array) - `results.user_id` (string) Example: "123456789ABCD" - `results.identifiers` (object) - `results.identifiers.email_address` (string) Example: "joe.blow@company.com" - `results.attributes` (object) - `results.attributes.first_name` (string) Example: "Joe" - `results.attributes.surname` (string) Example: "Blow" - `results.email_verified` (boolean) Example: true ## Response 400 fields